local toasty= "charmy"

local init = cmd(horizalign,left;vertalign,bottom;x,SCREEN_WIDTH;y,SCREEN_HEIGHT)
local on = cmd(decelerate,0.3;x,SCREEN_WIDTH*0.73125;sleep,1.0;accelerate,0.3;x,SCREEN_WIDTH)

local ToastyCommands = {
	charmy = {
		InitCmd = init,
		OnCmd = on
	},
	
	snorlax = {
		InitCmd = cmd(x,SCREEN_CENTER_X;y,SCREEN_TOP-512;zoom,2;draworder,9999),
		OnCmd = cmd(sleep,2.5;linear,1.25;addy,2048)
	}
}

local toaster = Def.ActorFrame{
	LoadActor( THEME:GetPathG("","_toasty/"..toasty) ) ..{
		InitCommand= function(self)
			self:visible(false)
		end,
		ToastyAchievedMessageCommand= function(self)
			self:visible(true)
			self:finishtweening()
			ToastyCommands[toasty].InitCmd(self)
			ToastyCommands[toasty].OnCmd(self)
		end
	},
	LoadActor( THEME:GetPathS("_toasty",toasty) ) ..{
		ToastyAchievedMessageCommand=cmd(play);
	},
}

-- Normally I wouldn't just copy paste the file from default in like this,
-- because it means that changes to default won't show up in this theme that
-- falls back on default, but 5.0.7 doesn't play the transition layer for
-- the toasty multiple times. -Kyz

local t = Def.ActorFrame {toaster};
local function UpdateTime(self)
	local c = self:GetChildren();
	for pn in ivalues(PlayerNumber) do
		local vStats = STATSMAN:GetCurStageStats():GetPlayerStageStats( pn );
		local vTime;
		local obj = self:GetChild( string.format("RemainingTime" .. PlayerNumberToString(pn) ) );
		if vStats and obj then
			vTime = vStats:GetLifeRemainingSeconds()
			obj:settext( SecondsToMMSSMsMs( vTime ) );
		end;
	end;
end
if GAMESTATE:GetCurrentCourse() then
	if GAMESTATE:GetCurrentCourse():GetCourseType() == "CourseType_Survival" then
		-- RemainingTime
		for pn in ivalues(PlayerNumber) do
			local MetricsName = "RemainingTime" .. PlayerNumberToString(pn);
			t[#t+1] = LoadActor( THEME:GetPathG( Var "LoadingScreen", "RemainingTime"), pn ) .. {
				InitCommand=function(self) 
					self:player(pn); 
					self:name(MetricsName); 
					ActorUtil.LoadAllCommandsAndSetXY(self,Var "LoadingScreen"); 
				end;
			};
		end
		for pn in ivalues(PlayerNumber) do
			local MetricsName = "DeltaSeconds" .. PlayerNumberToString(pn);
			t[#t+1] = LoadActor( THEME:GetPathG( Var "LoadingScreen", "DeltaSeconds"), pn ) .. {
				InitCommand=function(self) 
					self:player(pn); 
					self:name(MetricsName); 
					ActorUtil.LoadAllCommandsAndSetXY(self,Var "LoadingScreen"); 
				end;
			};
		end
	end;
end;
t.InitCommand=cmd(SetUpdateFunction,UpdateTime);
return t
